Loading...
Searching...
No Matches
mptcpd.c File Reference

Main mptcpd source file. More...

`#include <stdlib.h>`
`#include <signal.h>`
`#include <assert.h>`
`#include <ell/ell.h>`
`#include <mptcpd/private/configuration.h>`
`#include "path_manager.h"`
Include dependency graph for mptcpd.c:

## Functions

int | main (int argc, char *argv[])

## Detailed Description

Main mptcpd source file.

Copyright (c) 2017-2021, Intel Corporation

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Todo:
  Start D-Bus once we support a mptcpd D-Bus API.

Todo:
  Make this daemon socket-activatable when using systemd.

Todo:
  Should we daemonize the the mptcpd process the canonical way - fork() then orphan to make it owned by the 'init' process, among other steps - when systemd isn't used?

Todo:
  Call `mptcpd_config_free()` as soon we're done with reading the configuration, e.g. after the path manager has been initialized.